# H4503_ARGUMENT_activateDiversionQ Class Reference

`#include <h4503.h>`

Inheritance diagram for H4503_ARGUMENT_activateDiversionQ:

List of all members.

## Public Types

enum | OptionalFields { e_extension }

## Public Member Functions

| H4503_ARGUMENT_activateDiversionQ (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H4503_Procedure | m_procedure
H4503_BasicService | m_basicService
H4501_EndpointAddress | m_divertedToAddress
H4501_EndpointAddress | m_servedUserNr
H4501_EndpointAddress | m_activatingUserNr
H4503_ARGUMENT_activateDiversionQ_extension | m_extension

## Member Enumeration Documentation

enum H4503_ARGUMENT_activateDiversionQ::OptionalFields

Enumerator:

  e_extension |

## Constructor & Destructor Documentation

H4503_ARGUMENT_activateDiversionQ::H4503_ARGUMENT_activateDiversionQ | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H4503_ARGUMENT_activateDiversionQ::GetDataLength | ( |  | ) | const

PBoolean H4503_ARGUMENT_activateDiversionQ::Decode | ( | PASN_Stream & | strm | ) |

void H4503_ARGUMENT_activateDiversionQ::Encode | ( | PASN_Stream & | strm | ) | const

void H4503_ARGUMENT_activateDiversionQ::PrintOn | ( | ostream & | strm | ) | const

Comparison H4503_ARGUMENT_activateDiversionQ::Compare | ( | const PObject & | obj | ) | const

PObject* H4503_ARGUMENT_activateDiversionQ::Clone | ( |  | ) | const

## Member Data Documentation

H4503_Procedure H4503_ARGUMENT_activateDiversionQ::m_procedure

H4503_BasicService H4503_ARGUMENT_activateDiversionQ::m_basicService

H4501_EndpointAddress H4503_ARGUMENT_activateDiversionQ::m_divertedToAddress

H4501_EndpointAddress H4503_ARGUMENT_activateDiversionQ::m_servedUserNr

H4501_EndpointAddress H4503_ARGUMENT_activateDiversionQ::m_activatingUserNr

H4503_ARGUMENT_activateDiversionQ_extension H4503_ARGUMENT_activateDiversionQ::m_extension

The documentation for this class was generated from the following file:

- h4503.h